--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: formatter
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: stringio
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: FastRI::StringRedirectedDisplay
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: print
- !ruby/object:RI::MethodSummary 
  name: puts
- !ruby/object:RI::MethodSummary 
  name: reset_stringio
name: StringRedirectedDisplay
superclass: "::DefaultDisplay"
